CVE-2024-0402|GitLab文件写入漏洞

admin 2024年2月4日11:44:22评论60 views字数 612阅读2分2秒阅读模式

0x00 前言

GitLab 是一个用于仓库管理系统的开源项目,使用Git作为代码管理工具,并在此基础上搭建起来的Web服务。

Gitlab是被广泛使用的基于git的开源代码管理平台, 基于Ruby on Rails构建, 主要针对软件开发过程中产生的代码和文档进行管理。

0x01 漏洞描述

GitLab受影响版本中在用户创建workspace时由于未对配置文件devfile中的特殊字符(如:&lt、&gt等)有效过滤,经过身份验证的攻击者可在GitLab服务器中任意位置写入恶意文件,进而远程执行任意代码。

0x02 CVE编号

CVE-2024-0402

0x03 影响版本

16.0 <= GitLab CE/EE < 16.5.8

GitLab CE/EE 16.6 < 16.6.6

GitLab CE/EE 16.7 < 16.7.4

GitLab CE/EE 16.8 < 16.8.1

0x04 漏洞详情

https://about.gitlab.com/releases/2024/01/25/critical-security-release-gitlab-16-8-1-released/

0x05 参考链接

https://about.gitlab.com/releases/2024/01/25/critical-security-release-gitlab-16-8-1-released/

原文始发于微信公众号(信安百科):CVE-2024-0402|GitLab文件写入漏洞

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2024年2月4日11:44:22
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   CVE-2024-0402|GitLab文件写入漏洞https://cn-sec.com/archives/2465600.html

发表评论

匿名网友 填写信息